<?php

namespace wp_opieka_globkurier;

class Udi_i18n{
	
	public function load_plugin_textdomain(){
		load_plugin_textdomain( WPOPIEKAGLOBKURIER_INIT::getPluginName(), FALSE, dirname( Udi_Helper::getLanguagePath() ) );
	}
	
	public function setTimeZone( $id = 'Europe/Warsaw' ){
		$allowedTimeZones = timezone_identifiers_list();
		if( in_array( $id, $allowedTimeZones ) ){
			date_default_timezone_set( $id );
		} else{
			date_default_timezone_set( 'Europe/Warsaw' );
		}
	}
}